<div class="post">
  {% if logged_in %}
    When you post a link (bookmark), a Nostr event (kind <code>39700</code>) will be transmitted to the Nostr network and a copy of this data will be saved on this website. <br />
    You can use other Nostr clients which have implemented kind <code>39700</code> like <a href="https://yumyu.me/" target="_blank">Yumyume</a> and <a href="https://www.pinja.in/" target="_blank">Pinja</a> to view your posted links.
    <div class="md:w-1/2 mx-auto mt-4 grid grid-cols-2 gap-4 justify-items-center">
      <div><a href="{{ path('node.add', {'node_type' : 'link'}) }}" class="btn btn-outline btn-warning">Post link / bookmark</a></div>
      <div><a href="#" class="btn btn-disabled">Start topic</a></div>
    </div>
    <div class="mt-4">
      <h4 class="text-sm font-bold">Most recent bookmarks:</h4>
      <ul class="list-disc">
        <li class="ml-8">TODO: fetch latest Nostr events with kind <code>39700</code> from the Nostr network</li>
      </ul>
    </div>
  {% else %}
    <div class="p-2 bg-amber-100">
      <p>
        To start posting, please <a href="{{ path('ccns.login_modal') }}" class="use-ajax" id="nostr-auth">login with Nostr</a> first.
      </p>
      <p class="mt-4">
        If you're curious what Nostr is and how to create an account, visit <a href="https://nostr.how" target="_blank">nostr.how</a>.
      </p>
    </div>
  {% endif %}
</div>
